/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kimiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KIMIFACE_STUB__
#define __KIMIFACE_STUB__

#include <dcopstub.h>
#include <kurl.h>
#include <tqstringlist.h>
#include <dcopobject.h>
#include <tqpixmap.h>


class KIMIface_stub : virtual public DCOPStub
{
public:
    KIMIface_stub( const TQCString& app, const TQCString& id );
    KIMIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit KIMIface_stub( const DCOPRef& ref );
    virtual TQStringList allContacts();
    virtual TQStringList reachableContacts();
    virtual TQStringList onlineContacts();
    virtual TQStringList fileTransferContacts();
    virtual bool isPresent( const TQString& uid );
    virtual TQString displayName( const TQString& uid );
    virtual TQString presenceString( const TQString& uid );
    virtual int presenceStatus( const TQString& uid );
    virtual bool canReceiveFiles( const TQString& uid );
    virtual bool canRespond( const TQString& uid );
    virtual TQString locate( const TQString& contactId, const TQString& protocol );
    virtual TQPixmap icon( const TQString& uid );
    virtual TQString context( const TQString& uid );
    virtual TQStringList protocols();
    virtual void messageContact( const TQString& uid, const TQString& message );
    virtual void messageNewContact( const TQString& contactId, const TQString& protocol );
    virtual void chatWithContact( const TQString& uid );
    virtual void sendFile( const TQString& uid, const KURL& sourceURL, const TQString& altFileName, uint fileSize );
    virtual bool addContact( const TQString& contactId, const TQString& protocol );
protected:
    KIMIface_stub() : DCOPStub( never_use ) {}
};


#endif
